/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @flow
 */

export default class ElementPollingCancellationError extends Error {
  constructor() {
    super();

    // Maintains proper stack trace for where our error was thrown (only available on V8)
    if (Error.captureStackTrace) {
      this |> Error.captureStackTrace(%, ElementPollingCancellationError);
    }
    this.name = 'ElementPollingCancellationError';
  }
}